#
# spec file for package phpMyAdmin (Version 2.4.0 )
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apache apache-devel autoconf automake binutils bzip2 cracklib expat gcc gdbm gettext libtool mm mod_ssl openssl perl rpm

Name:         phpMyAdmin
License:      GPL
Group:        Productivity/Networking/Web/Frontends
Requires:     http_daemon mysql php
Autoreqprov:  on
Version:      2.4.0 
Release:      77
Source0:      %{name}-%{version}-php.tar.bz2
Patch:        %{name}-%{version}-php-perl.patch
Patch2:       PMASA-2004-3.patch
Patch3:       PMASA-2004-4.patch
Patch4:       PMASA-2005-1.patch
Patch5:       PMASA-2005-3.patch
URL:          http://www.phpMyAdmin.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Adminstration of MySQL over the web
BuildArchitectures: noarch
%define apache_serverroot %(apxs -q datadir 2>/dev/null || apxs -q PREFIX)

%description
The phpMyAdmin package is intended to handle the adminstration of MySQL
over the web.



Authors:
--------
    Tobias Ratschiller <tobias@dnet.it>

%prep
%setup
%patch
%patch2 -p1
%patch3 -p2
%patch4
%patch5 -p2
find . -type d | xargs chmod 755

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
for f in `find . -type d -name CVS` ; do
    rm -rf $f
done
mkdir -p $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name}
chmod 644 `find ./images -type f` ChangeLog Documentation.html LICENSE README TODO
cp -dR *.php *.html badwords.txt ChangeLog LICENSE README images lang libraries scripts $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ANNOUNCE.txt CREDITS ChangeLog Documentation.html Documentation.txt
%doc LICENSE README RELEASE-DATE* TODO 
%{apache_serverroot}/htdocs/%{name}

%changelog -n phpMyAdmin
* Mon Apr 04 2005 - mcihar@suse.cz
- fix PMASA-2005-3 (bug #75707)
* Fri Feb 25 2005 - mcihar@suse.cz
- fix PMASA-2005-1 (bug #66264)
* Tue Jan 18 2005 - mcihar@suse.cz
- fix PMASA-2004-3 and PMASA-2004-4 (bug #49212)
* Mon Feb 24 2003 - postadal@suse.cz
- updated to verison 2.4.0
  * new server/user management interface with sub-pages
  * export to LaTeX format
  * display UPDATE SQL statement after a row edit
  * (experimental) support for compressed connections to the MySQL server
  * upload of binary file into a field
  * show blob size
  * a lot of fixes
* Wed Jan 29 2003 - postadal@suse.cz
- updated to version 2.3.3pl1
  * upload of compressed dumps
  * inform the user who does not have privileges to create a db
  * new internal analyzer for db, table, column and alias
  * a lot of fixes
* Mon Aug 12 2002 - postadal@suse.cz 
- update to release 2.3.0
* Fri Aug 02 2002 - ro@suse.de
- adapt server-root
* Thu Aug 01 2002 - postadal@suse.cz
- fixed required perl path
* Wed Jul 31 2002 - postadal@suse.cz
- fixed filelist
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 2.3.0-rc4
  * can specify a different charset for MySQL and HTML
  * utf-8 charset support
  * full database search
  * XML export
  * faster table delete under MySQL 4
  * new language: slovenian
  * fixes
* Mon Jul 01 2002 - ro@suse.de
- fixed directory permissions
* Thu Jan 10 2002 - rvasice@suse.cz
- update to version 2.2.3
* Tue Sep 04 2001 - rvasice@suse.cz
- update to version 2.2.0 final
- dynamic multiple language support, with automatic detection
- database usage statistics
- table maintenance features (repair, check, optimize)
- made package noarch
* Thu Aug 02 2001 - rvasice@suse.cz
- update to version 2.2.0rc3
* Mon Jun 18 2001 - rvasice@suse.cz
- initial package release (version 2.1.0)
